Package org.eclipse.birt.chart.model.attribute.impl

# Class PatternImageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.FillImpl
org.eclipse.birt.chart.model.attribute.impl.ImageImpl
org.eclipse.birt.chart.model.attribute.impl.PatternImageImpl

All Implemented Interfaces:
  `Fill`, `Image`, `PatternImage`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class PatternImageImpl extends ImageImpl implements PatternImage
An implementation of the model object 'Pattern Image'.

The following features are implemented:

- `Bitmap`
- `Fore Color`
- `Back Color`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetBackColor(ColorDefinition newBackColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetForeColor(ColorDefinition newForeColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`PatternImage`
`copyInstance()`
A convenient method to get an instance copy.
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`boolean`
`equals(Object obj)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`ColorDefinition`
`getBackColor()`
`long`
`getBitmap()`
`ColorDefinition`
`getForeColor()`
`int`
`hashCode()`
`boolean`
`isSetBitmap()`
`void`
`setBackColor(ColorDefinition newBackColor)`
`void`
`setBitmap(long newBitmap)`
`void`
`setForeColor(ColorDefinition newForeColor)`
`String`
`toString()`
`void`
`unsetBitmap()`

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.ImageImpl

`create, create, getSource, getURL, isSetSource, setSource, setURL, unsetSource`

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.FillImpl

`getType, isSetType, setType, unsetType`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Image

`getSource, getURL, isSetSource, setSource, setURL, unsetSource`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getBitmap

public long getBitmap()

Specified by:
  `getBitmap` in interface `PatternImage`
Returns:
  the value of the 'Bitmap' attribute.
See Also:
  - `PatternImage.isSetBitmap()`
  - `PatternImage.unsetBitmap()`
  - `PatternImage.setBitmap(long)`
  - `AttributePackage.getPatternImage_Bitmap()`

### setBitmap

public void setBitmap(long newBitmap)

Specified by:
  `setBitmap` in interface `PatternImage`
Parameters:
  `newBitmap` - the new value of the 'Bitmap' attribute.
See Also:
  - `PatternImage.isSetBitmap()`
  - `PatternImage.unsetBitmap()`
  - `PatternImage.getBitmap()`

### unsetBitmap

public void unsetBitmap()

Specified by:
  `unsetBitmap` in interface `PatternImage`
See Also:
  - `PatternImage.isSetBitmap()`
  - `PatternImage.getBitmap()`
  - `PatternImage.setBitmap(long)`

### isSetBitmap

public boolean isSetBitmap()

Specified by:
  `isSetBitmap` in interface `PatternImage`
Returns:
  whether the value of the 'Bitmap' attribute is set.
See Also:
  - `PatternImage.unsetBitmap()`
  - `PatternImage.getBitmap()`
  - `PatternImage.setBitmap(long)`

### getForeColor

public ColorDefinition getForeColor()

Specified by:
  `getForeColor` in interface `PatternImage`
Returns:
  the value of the 'Fore Color' containment reference.
See Also:
  - `PatternImage.setForeColor(ColorDefinition)`
  - `AttributePackage.getPatternImage_ForeColor()`

### basicSetForeColor

public org.eclipse.emf.common.notify.NotificationChain basicSetForeColor(ColorDefinition newForeColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setForeColor

public void setForeColor(ColorDefinition newForeColor)

Specified by:
  `setForeColor` in interface `PatternImage`
Parameters:
  `newForeColor` - the new value of the 'Fore Color' containment reference.
See Also:
  - `PatternImage.getForeColor()`

### getBackColor

public ColorDefinition getBackColor()

Specified by:
  `getBackColor` in interface `PatternImage`
Returns:
  the value of the 'Back Color' containment reference.
See Also:
  - `PatternImage.setBackColor(ColorDefinition)`
  - `AttributePackage.getPatternImage_BackColor()`

### basicSetBackColor

public org.eclipse.emf.common.notify.NotificationChain basicSetBackColor(ColorDefinition newBackColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setBackColor

public void setBackColor(ColorDefinition newBackColor)

Specified by:
  `setBackColor` in interface `PatternImage`
Parameters:
  `newBackColor` - the new value of the 'Back Color' containment reference.
See Also:
  - `PatternImage.getBackColor()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ImageImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ImageImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ImageImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ImageImpl`

### toString

public String toString()

Overrides:
  `toString` in class `ImageImpl`

### copyInstance

public PatternImage copyInstance()
Description copied from class: `ImageImpl`
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Image`
Specified by:
  `copyInstance` in interface `PatternImage`
Overrides:
  `copyInstance` in class `ImageImpl`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `ImageImpl`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `ImageImpl`